| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::command_source Struct Reference

Represents the sending source of a command. This is passed to any command handler and should be passed back to commandhandler::reply(), allowing the reply method to route any replies back to the origin, which may be a slash command or a message. Both require different response facilities but we want this to be transparent if you use the command handler class. More...

`#include <commandhandler.h>`

Collaboration diagram for dpp::command_source:
[legend]

## Public Member Functions

| command_source (const struct interaction_create_t &event)
| Construct a command_source object from an interaction_create_t event.
| command_source (const struct message_create_t &event)
| Construct a command_source object from a message_create_t event.

## Public Attributes

snowflake | channel_id
| Source channel id.
snowflake | command_id
| Command ID of a slash command.
std::string | command_token
| Token for sending a slash command reply.
snowflake | guild_id
| Sending guild id.
std::optional< interaction_create_t > | interaction_event
| Copy of the underlying interaction_create_t event, if it was an interaction create event.
user | issuer
| The user who issued the command.
std::optional< message_create_t > | message_event
| Copy of the underlying message_create_t event, if it was a message create event.

## Detailed Description

Represents the sending source of a command. This is passed to any command handler and should be passed back to commandhandler::reply(), allowing the reply method to route any replies back to the origin, which may be a slash command or a message. Both require different response facilities but we want this to be transparent if you use the command handler class.

Deprecated
  commandhandler and message commands are deprecated and dpp::slashcommand is encouraged as a replacement.

## Constructor & Destructor Documentation

## ◆ command_source() [1/2]

dpp::command_source::command_source | ( | const struct message_create_t & | event | ) |

Construct a command_source object from a message_create_t event.

## ◆ command_source() [2/2]

dpp::command_source::command_source | ( | const struct interaction_create_t & | event | ) |

Construct a command_source object from an interaction_create_t event.

## Member Data Documentation

## ◆ channel_id

snowflake dpp::command_source::channel_id

Source channel id.

## ◆ command_id

snowflake dpp::command_source::command_id

Command ID of a slash command.

## ◆ command_token

std::string dpp::command_source::command_token

Token for sending a slash command reply.

## ◆ guild_id

snowflake dpp::command_source::guild_id

Sending guild id.

## ◆ interaction_event

std::optional<interaction_create_t> dpp::command_source::interaction_event

Copy of the underlying interaction_create_t event, if it was an interaction create event.

## ◆ issuer

user dpp::command_source::issuer

The user who issued the command.

## ◆ message_event

std::optional<message_create_t> dpp::command_source::message_event

Copy of the underlying message_create_t event, if it was a message create event.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0